Workflows - Phases API
Bu içerik henüz dilinizde mevcut değil.
- List all phases of a workflow
- Get a single phase of a workflow
- Add a phase to a workflow
- Update a phase of a workflow
- Remove a phase from a workflow
- Remove all phases from a workflow
- Fields
List all phases of a workflow
Заголовок раздела «List all phases of a workflow»List all of the phases of a workflow with a specific ID:
GET /workflows/:id/phasesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 4558, "...": "..." }]The response contains these fields by default.
Get a single phase of a workflow
Заголовок раздела «Get a single phase of a workflow»GET /workflows/:id/phases/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}The response contains these fields .
Add a phase to a workflow
Заголовок раздела «Add a phase to a workflow»Add a phase to a workflow with a specific ID.
POST /workflows/:id/phasesWhen creating a new phase for a workflow these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}Update a phase of a workflow
Заголовок раздела «Update a phase of a workflow»Update a phase with a specific ID of a workflow with a specific ID.
PATCH /workflows/:id/phases/:phase_idWhen updating an existing phase for a workflow these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}Remove a phase from a workflow
Заголовок раздела «Remove a phase from a workflow»Remove a phase with a specific ID from a workflow with a specific ID.
DELETE /workflows/:id/phases/:phase_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all phases from a workflow
Заголовок раздела «Remove all phases from a workflow»Remove all phases from a workflow with a specific ID.
DELETE /workflows/:id/phasesResponse
Заголовок раздела «Response»Status: 204 No Contentcompleted_at
Readonly datetime — The date and time at which the workflow phase was set to the status “Completed”.
created_at
Readonly datetime — The date and time at which the workflow phase was created.
id
Readonly integer — The unique ID of the workflow phase.
name
Required string (max 50) — The Name field is used to enter the name of the workflow phase.
position
Optional integer — The Position field dictates the position that the workflow phase takes when it is presented in the workflow’s Gantt chart.
started_at
Readonly datetime — The Started field indicates the date and time at which the first workflow task of the phase was set to a status other than ‘Registered’ or ‘Canceled’.
status
Readonly
enum
, default:
registered
— The Status field indicates the current status of the workflow phase. Valid values are:
registered: Registeredin_progress: In Progresscompleted: Completed
updated_at
Readonly
datetime
— The date and time of the last update of the workflow phase. If the phase has no updates it contains the
created_at
value.